#ifndef KRONOS_NVENCODER_HEADER
#define KRONOS_NVENCODER_HEADER

#include <nvEncodeAPI.h>


namespace Kronos {
	class NVEncoder {
	public:
		NVEncoder();
		NVEncoder(const NVEncoder& enc) = delete;
		~NVEncoder();

		NVEncoder& operator=(const NVEncoder& enc) = delete;

	private:
		NV_ENCODE_API_FUNCTION_LIST m_nvapi;
		void* m_encoder;
	};
}

#endif
